package com.company.tab2tables.entity;

import com.haulmont.cuba.core.entity.StandardEntity;

import javax.persistence.*;
import java.math.BigDecimal;
import java.util.Date;

@Table(name = "TAB2TABLES_STOCK_MOVEMENT")
@Entity(name = "tab2tables_StockMovement")
public class StockMovement extends StandardEntity {
    private static final long serialVersionUID = 8715828058169778333L;

    @Temporal(TemporalType.DATE)
    @Column(name = "DATE_")
    private Date date;

    @Column(name = "QUANTITY")
    private BigDecimal quantity;

    @Column(name = "DIRECTION")
    private String direction;

    @Column(name = "WAREHOUSE")
    private String warehouse;

    @Column(name = "STATUS")
    private String status;

    @Column(name = "TYPE_")
    private String type;

    @Column(name = "SOURCE")
    private String source;

    @Column(name = "DESTINATION")
    private String destination;

    @Column(name = "PRICE")
    private String price;

    @Column(name = "UNITS_PER_PACKAGE")
    private String unitsPerPackage;

    @Column(name = "UNITS_PER_PRICE")
    private String unitsPerPrice;

    @Column(name = "NUMBER_")
    private Integer number;

    public Integer getNumber() {
        return number;
    }

    public void setNumber(Integer number) {
        this.number = number;
    }

    public String getUnitsPerPrice() {
        return unitsPerPrice;
    }

    public void setUnitsPerPrice(String unitsPerPrice) {
        this.unitsPerPrice = unitsPerPrice;
    }

    public String getUnitsPerPackage() {
        return unitsPerPackage;
    }

    public void setUnitsPerPackage(String unitsPerPackage) {
        this.unitsPerPackage = unitsPerPackage;
    }

    public String getPrice() {
        return price;
    }

    public void setPrice(String price) {
        this.price = price;
    }

    public String getDestination() {
        return destination;
    }

    public void setDestination(String destination) {
        this.destination = destination;
    }

    public String getSource() {
        return source;
    }

    public void setSource(String source) {
        this.source = source;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getWarehouse() {
        return warehouse;
    }

    public void setWarehouse(String warehouse) {
        this.warehouse = warehouse;
    }

    public void setDate(Date date) {
        this.date = date;
    }

    public Date getDate() {
        return date;
    }

    public Direction getDirection() {
        return direction == null ? null : Direction.fromId(direction);
    }

    public void setDirection(Direction direction) {
        this.direction = direction == null ? null : direction.getId();
    }

    public BigDecimal getQuantity() {
        return quantity;
    }

    public void setQuantity(BigDecimal quantity) {
        this.quantity = quantity;
    }

}